Package it.ernytech.tdlib

## Class TdApi.SendCallRating

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendCallRating

Enclosing class:
  TdApi

    public static class TdApi.SendCallRating
    extends TdApi.Function

Sends a call rating.

Returns `Ok`

### Field Summary

Fields
`int` `callId` Call identifier.
`java.lang.String` `comment` An optional user comment if the rating is less than 5.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `rating` Call rating; 1-5.

### Constructor Summary

Constructors
`SendCallRating()` Default constructor.
`SendCallRating​(int callId, int rating, java.lang.String comment)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### callId

    public int callId

Call identifier.

#### rating

    public int rating

Call rating; 1-5.

#### comment

    public java.lang.String comment

An optional user comment if the rating is less than 5.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendCallRating

    public SendCallRating()

Default constructor.

#### SendCallRating

    public SendCallRating​(int callId,
                          int rating,
                          java.lang.String comment)

Constructor for initialization of all fields.

Parameters:
  `callId` - Call identifier.
  `rating` - Call rating; 1-5.
  `comment` - An optional user comment if the rating is less than 5.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR